Vector Health Check
curl --request GET \
--url https://api.example.com/api/vector/healthimport requests
url = "https://api.example.com/api/vector/health"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/vector/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"embedding_enabled": true,
"vertex_ai_initialized": true,
"vector_collections_count": 123
}Vector Search
Vector Health Check
Check the health of the vector search service
GET
/
api
/
vector
/
health
Vector Health Check
Authentication
No authentication required.Example Request
curl https://api.sari-platform.com/api/vector/health
Response
string
Service status:
healthy or unhealthyboolean
Whether Vertex AI embeddings are enabled
boolean
Whether Vertex AI client is initialized
integer
Number of collections with embeddings
Example Response
{
"status": "healthy",
"embedding_enabled": true,
"vertex_ai_initialized": true,
"vector_collections_count": 15
}
Health Indicators
| Indicator | Healthy When |
|---|---|
status | All checks pass |
embedding_enabled | ENABLE_VECTOR_EMBEDDINGS=true |
vertex_ai_initialized | Vertex AI SDK connected |
vector_collections_count | > 0 collections indexed |
Unhealthy Response
{
"status": "unhealthy",
"embedding_enabled": true,
"vertex_ai_initialized": false,
"vector_collections_count": 0,
"error": "Failed to connect to Vertex AI"
}
⌘I

